Package ru.bitel.bgbilling.modules.mps.server.bean

# Enum Class Conf.SearchType

java.lang.Object
java.lang.Enum<Conf.SearchType>
ru.bitel.bgbilling.modules.mps.server.bean.Conf.SearchType

All Implemented Interfaces:
  `Serializable`, `Comparable<Conf.SearchType>`, `Constable`

Enclosing class:
  `Conf`

public static enum Conf.SearchType extends Enum<Conf.SearchType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `contract`
  `custom`
  `email`
  `inet_login`
  `login`
  `mps_login`
  `none`
  `parameter`
  `phone`
  `voice`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Conf.SearchType`
  `get(String name)`
  `static Conf.SearchType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static Conf.SearchType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### none

    public static final Conf.SearchType none

  - ### mps_login

    public static final Conf.SearchType mps_login

  - ### contract

    public static final Conf.SearchType contract

  - ### login

    public static final Conf.SearchType login

  - ### voice

    public static final Conf.SearchType voice

  - ### email

    public static final Conf.SearchType email

  - ### phone

    public static final Conf.SearchType phone

  - ### parameter

    public static final Conf.SearchType parameter

  - ### inet_login

    public static final Conf.SearchType inet_login

  - ### custom

    public static final Conf.SearchType custom

- ## Method Details

  - ### values

    public static Conf.SearchType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static Conf.SearchType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### get

    public static Conf.SearchType get(String name)